package com.nto.data.repository

import com.nto.data.models.LoginResult
import com.nto.data.models.UserDTO
import com.nto.data.models.cards.VisitCardDTO
import com.nto.data.models.cards.VisitCardWrapper

interface DataRepository {
    suspend fun auth(login: String, password: String): LoginResult
    suspend fun saveToken(token: String, login: String)
    suspend fun getToken(): String
    suspend fun getLogin(): String
    suspend fun getInfo(): UserDTO
    suspend fun getVisits(id: String?): VisitCardWrapper
}