package com.nto.presentation.screens.scanResult

import androidx.compose.foundation.Image
import androidx.compose.foundation.gestures.snapping.SnapPosition
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.res.painterResource
import androidx.hilt.navigation.compose.hiltViewModel
import androidx.navigation.NavController
import com.nto.presentation.R

@Composable
fun ScanResultScreen(
    navController: NavController,
    modifier: Modifier = Modifier,
    viewModel: ScanResultViewModel = hiltViewModel()
) {
    val state by viewModel.state.collectAsState()
    Scaffold { paddingValues ->
        Column(
            Modifier
                .padding(paddingValues)
                .fillMaxSize(),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center
        ) {
            Image(
                painter = painterResource(
                    id = when (state) {
                        ScanResultState.Success -> R.drawable.ic_scan_success
                        ScanResultState.Error -> R.drawable.ic_scan_error
                        ScanResultState.Warning -> R.drawable.ic_scan_warning
                    }
                ), contentDescription = ""
            )
            Text(text = "Код отсканирован")
        }
    }
}